## ros-noetic-phidgets-api 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(phidgets_api)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS libphidget22)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES phidgets_api
    CATKIN_DEPENDS libphidget22
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_api src/accelerometer.cpp
                         src/analog_input.cpp
                         src/analog_inputs.cpp
                         src/analog_output.cpp
                         src/analog_outputs.cpp
                         src/digital_input.cpp
                         src/digital_inputs.cpp
                         src/digital_output.cpp
                         src/digital_outputs.cpp
                         src/encoder.cpp
                         src/encoders.cpp
                         src/gyroscope.cpp
                         src/ir.cpp
                         src/magnetometer.cpp
                         src/motor.cpp
                         src/motors.cpp
                         src/phidget22.cpp
                         src/spatial.cpp
                         src/temperature.cpp)

add_dependencies(phidgets_api ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_api ${catkin_LIBRARIES})

install(TARGETS phidgets_api
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-noetic-phidgets-api (1.0.6-1buster) buster; urgency=high

  * Merge pull request #153 <https://github.com/ros-drivers/phidgets_drivers/issues/153> from naturerobots/noetic
    Add support for onboard orientation estimation and other new PhidgetSpatial features of MOT0109 and onwards
  * Support configuring encoder data interval and IO Mode (#137 <https://github.com/ros-drivers/phidgets_drivers/issues/137>)
  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Don't modify CMAKE_CXX_FLAGS
  * Contributors: Ben Schattinger, Malte kl. Piening, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-api (1.0.5-1buster) buster; urgency=high

  * spatial: Add attach + detach handlers
  * Fix some clang-tidy warnings
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-api (1.0.4-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-api (1.0.3-1buster) buster; urgency=high

  * Fix typo in error message
  * Add Analog Outputs (#103 <https://github.com/ros-drivers/phidgets_drivers/issues/103>)
  * Contributors: Carsten Plasberg, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-api (1.0.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-api (1.0.1-1buster) buster; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-api (1.0.0-1buster) buster; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Add in try/catch blocks for connecting.
    If an error occurs, we catch it, print it, then re-throw it.
    This allows us to show a better error when using nodelets.
  * Fixes from review.
  * Implement data interval setting for analog inputs.
  * Add in the license files and add to the headers.
  * Completely remove libphidget21.
    Nothing else depends on it.
  * Rewrite Motor Phidget to use libphidget22.
    Also implement a new motor node.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rewrite IR to use libphidget22.
  * Rewrite IMU using libphidget22.
  * Add support for Phidgets Magnetometer sensors.
  * Add support for Phidgets Gyroscope sensors.
  * Add support for Phidgets Accelerometer sensors.
  * Add in support for Phidgets Temperature sensors.
  * Rewrite phidgets_ik on top of libphidget22 classes.
    This should be equivalent functionality, but allows the use
    of VINT devices now.
  * Add in support for Phidgets Analog inputs.
  * Add in support for Phidgets Digital Inputs.
  * Add in support for Phidgets Digital Outputs.
  * Add in libphidget22 helper functions.
  * Rename Phidget class to Phidget21 class.
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Remove unused indexHandler from Encoder class.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Push libphidgets API calls down to phidgets_api.
  * Quiet down the to-be-overridden callbacks.
  * Consistently use nullptr instead of 0.
  * Make the phidget_api destructors virtual.
  * Style cleanup.
  * Move libusb dependency into the libphidget21 package.xml.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-api (0.7.9-1buster) buster; urgency=high

  * Add missing OnInputChange handler (#33 <https://github.com/ros-drivers/phidgets_drivers/issues/33>)
  * Contributors: Kai Hermann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-api (0.7.8-1buster) buster; urgency=high

  * Install udev rules on binary package installation
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-api (0.7.7-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-api (0.7.6-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-api (0.7.5-1buster) buster; urgency=high

  * Add support for the phidgets_ik (Phidgets Interface Kit)
  * Contributors: Russel Howe, James Sarrett, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-api (0.7.4-1buster) buster; urgency=high

  * Fix typo and doxygen docs
  * Contributors: Jose Luis Blanco Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.1-1buster) buster; urgency=high

  * Set event handlers for motor + encoder APIs
  * Added basic motor api
  * Added basic encoder board api
  * Contributors: Zach Anderson, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.0-1buster) buster; urgency=high

  * Use our own libphidget21 instead of external libphidgets
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-noetic-phidgets-api (0.2.3-1buster) buster; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-phidgets-api//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-phidgets-api 1.0.7

=== debian/changelog ===
ros-noetic-phidgets-api (1.0.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-phidgets-api (1.0.6-1focal) focal; urgency=high

  * Merge pull request #153 <https://github.com/ros-drivers/phidgets_drivers/issues/153> from naturerobots/noetic
    Add support for onboard orientation estimation and other new PhidgetSpatial features of MOT0109 and onwards
  * Support configuring encoder data interval and IO Mode (#137 <https://github.com/ros-drivers/phidgets_drivers/issues/137>)
  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Don't modify CMAKE_CXX_FLAGS
  * Contributors: Ben Schattinger, Malte kl. Piening, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-api (1.0.5-1focal) focal; urgency=high

  * spatial: Add attach + detach handlers
  * Fix some clang-tidy warnings
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-api (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-api (1.0.3-1focal) focal; urgency=high

  * Fix typo in error message
  * Add Analog Outputs (#103 <https://github.com/ros-drivers/phidgets_drivers/issues/103>)
  * Contributors: Carsten Plasberg, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-api (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-api (1.0.1-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-api (1.0.0-1focal) focal; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Add in try/catch blocks for connecting.
    If an error occurs, we catch it, print it, then re-throw it.
    This allows us to show a better error when using nodelets.
  * Fixes from review.
  * Implement data interval setting for analog inputs.
  * Add in the license files and add to the headers.
  * Completely remove libphidget21.
    Nothing else depends on it.
  * Rewrite Motor Phidget to use libphidget22.
    Also implement a new motor node.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rewrite IR to use libphidget22.
  * Rewrite IMU using libphidget22.
  * Add support for Phidgets Magnetometer sensors.
  * Add support for Phidgets Gyroscope sensors.
  * Add support for Phidgets Accelerometer sensors.
  * Add in support for Phidgets Temperature sensors.
  * Rewrite phidgets_ik on top of libphidget22 classes.
    This should be equivalent functionality, but allows the use
    of VINT devices now.
  * Add in support for Phidgets Analog inputs.
  * Add in support for Phidgets Digital Inputs.
  * Add in support for Phidgets Digital Outputs.
  * Add in libphidget22 helper functions.
  * Rename Phidget class to Phidget21 class.
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Remove unused indexHandler from Encoder class.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Push libphidgets API calls down to phidgets_api.
  * Quiet down the to-be-overridden callbacks.
  * Consistently use nullptr instead of 0.
  * Make the phidget_api destructors virtual.
  * Style cleanup.
  * Move libusb dependency into the libphidget21 package.xml.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-api (0.7.9-1focal) focal; urgency=high

  * Add missing OnInputChange handler (#33 <https://github.com/ros-drivers/phidgets_drivers/issues/33>)
  * Contributors: Kai Hermann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-api (0.7.8-1focal) focal; urgency=high

  * Install udev rules on binary package installation
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-api (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-api (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-api (0.7.5-1focal) focal; urgency=high

  * Add support for the phidgets_ik (Phidgets Interface Kit)
  * Contributors: Russel Howe, James Sarrett, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-api (0.7.4-1focal) focal; urgency=high

  * Fix typo and doxygen docs
  * Contributors: Jose Luis Blanco Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.1-1focal) focal; urgency=high

  * Set event handlers for motor + encoder APIs
  * Added basic motor api
  * Added basic encoder board api
  * Contributors: Zach Anderson, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-api (0.7.0-1focal) focal; urgency=high

  * Use our own libphidget21 instead of external libphidgets
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-phidgets-api
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-libphidget22
Homepage: http://ros.org/wiki/phidgets_api
Standards-Version: 3.9.2

Package: ros-noetic-phidgets-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-libphidget22
Description: A C++ Wrapper for the Phidgets C API

## ros-noetic-phidgets-api 1.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
                          src/analog_inputs.cpp
                          src/analog_output.cpp
                          src/analog_outputs.cpp
+                         src/current_input.cpp
+                         src/current_inputs.cpp
                          src/digital_input.cpp
                          src/digital_inputs.cpp
                          src/digital_output.cpp
@@ -34,6 +36,7 @@
                          src/encoder.cpp
                          src/encoders.cpp
                          src/gyroscope.cpp
+                         src/humidity.cpp
                          src/ir.cpp
                          src/magnetometer.cpp
                          src/motor.cpp
